## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

%global common_description %{expand:
CTML is a C++ HTML document constructor, that was designed to be simple to use
and implement. Has no dependencies on any other projects, only the C++ standard
library.}

Name:           CTML
Version:        2.0.0
Release:        %autorelease
Summary:        C++ HTML document constructor only depending on the standard library

License:        MIT
URL:            https://github.com/tinfoilboy/CTML
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  catch2-devel

%description
%{common_description}

%package        devel
Summary:        %{summary}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
%{common_description}

%prep
%autosetup
# Replace bundled copy of catch with the packaged one
ln -sf %{_includedir}/catch2/catch.hpp tests

%build
%cmake
%cmake_build

%install
install -Dpm0644 -t %{buildroot}%{_includedir}/%{name} include/ctml.hpp

%check
%ctest

%files devel
%license LICENSE
%doc README.md
%{_includedir}/%{name}

%changelog
## START: Generated by rpmautospec
* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 23 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2.0.0-6
- Update BR to catch2-devel

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.0.0-1
- Initial import; Fixes: RHBZ#1988781
## END: Generated by rpmautospec
